Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 123424 - Repository URL field of Clone Other should be resizable
Repository URL field of Clone Other should be resizable
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Mercurial
6.x
All All
: P4 (vote)
: 6.x
Assigned To: issues@versioncontrol
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-05 09:14 UTC by Peter Pis
Modified: 2008-01-18 09:06 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
clone other (23.28 KB, image/png)
2007-12-05 09:18 UTC, Peter Pis
Details
Proposed patch (2.16 KB, text/plain)
2007-12-06 18:04 UTC, John Rice
Details
proposed patch (3.13 KB, patch)
2007-12-21 11:58 UTC, Padraig Obriain
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Pis 2007-12-05 09:14:57 UTC
Product Version: NetBeans IDE 6.0 (Build 200711261600)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; Cp1252; en_GB (nb)
Userdir: D:\ide\60daily\user

Steps:
1. Invoke "Versioning | Mercurial | Clone Other..." 
2. Make the wizard wider.
3. "Repository URL" should be resized along with the wizard.
Comment 1 Peter Pis 2007-12-05 09:18:27 UTC
Created attachment 53887 [details]
clone other
Comment 2 John Rice 2007-12-06 18:05:58 UTC
Created attachment 53959 [details]
Proposed patch
Comment 3 John Rice 2007-12-06 18:07:13 UTC
Proposed patch for bug 123361 - please ignore
Comment 4 Padraig Obriain 2007-12-20 16:07:11 UTC
I am mystified as to what is going on here.

This dialog is ui/repository/RepositoryPanel and as far as I can see it is the same as the Subversion one which is used
in Subversion | Checkout ... which worked correctly.
Comment 5 Padraig Obriain 2007-12-21 11:58:21 UTC
Created attachment 54445 [details]
proposed patch
Comment 6 Padraig Obriain 2007-12-21 11:58:55 UTC
The problem seems to be that CloneRepositoryPanel is not resizable.
Comment 7 Padraig Obriain 2007-12-21 12:04:22 UTC
IDE:-------------------------------------------------
IDE: [12/21/07 12:03 PM] Committing Files started
Checking in CloneRepositoryPanel.java;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/wizards/CloneRepositoryPanel.java,v
 <--  CloneRepositoryPanel.java
new revision: 1.6; previous revision: 1.5
done
Checking in CloneRepositoryPanel.form;
/shared/data/ccvs/repository/versioncontrol/mercurial/src/org/netbeans/modules/mercurial/ui/wizards/CloneRepositoryPanel.form,v
 <--  CloneRepositoryPanel.form
new revision: 1.4; previous revision: 1.3
done
IDE: [12/21/07 12:03 PM] Committing Files finished
Comment 8 Peter Pis 2008-01-18 09:06:13 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo